| Home | Libraries | People | FAQ | More

###### value::value (30 of 35 overloads)

Construct an `array`.

###### Synopsis

    value(
        array_kind_t,
        storage_ptr sp = {});

###### Description

This is the fastest way to construct an empty array, using the specified memory resource. The variable `array_kind` may be passed as the first parameter to select this overload:

###### Example

    // Construct an empty array

    value jv( array_kind );

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.

###### See Also

`array_kind`